Datacom/AD upgrade to 15.1 DB00915I CASYSTEMTABLES VERSION 14.0

book

Article ID: 222836

calendar_today

Updated On:

Products

CA DATACOM - AD

Issue/Introduction

After upgrading Datacom/AD from V14.0 to 15.1 we get the following MUF messages at startup:

DB00915I - CXX DBID 2 DATA-DICT DEFINITION VERSION 15.0 CHANGE LEVEL 0 

DB00915I - CXX DBID 15 DDD-DATABASE DEFINITION VERSION 15.0 CHANGE LEVEL 0 

DB00915I - CXX DBID 1000 CASYSTEMTABLES DEFINITION VERSION 14.0 CHANGE LEVEL 0 

Does something need to be done to upgrade the CASYSTEMTABLES to version 15.1 or can it be left at version 14.0?

 

 

Environment

Release : 15.1

Component : CA Datacom/AD

Resolution

There is no problem running with the Version 14.0 of the CA Datacom Dynamic System Tables under Datacom/AD version 15.1.

The CASYSTEMTABLES can remain at 14.0.

CA Datacom/AD doesn't use the new 15.1 Dynamic System Tables so there is no need to upgrade DBID 1000.

See the description of the DB00915I message:

Upgrading from Release 14.0 to 15.0 (or later) releases may continue to run with definitions of the 2 Datadictionary databases and the Dynamic System Tables database at either a 14.0 level or 15.0 level or later. This allows the upgrade/downgrade with zero outage. During the upgrade from 14.0 to 15.0 (or later) the definitions remain for a time at 14.0 to allow for an easy fallback. 

Also see article 103471 which explains that the AXACTDYN job to upgrade DBID 1000 was removed starting with Datacom/AD version 15.0 to simplify the Active Upgrade process and prevent other errors.